<template>
  <footer class="footer container--hp">
    <div class="footer__col footer__col--left">
      <h2 class="footer__title mb-3">
        <nuxt-link class="d-flex align-items-center link-unstyled" to="/"
          ><img :alt="imgAlt" class="logo" src="~assets/svgs/mountain.svg" />
          <span class="logo__text">Lenny Mans</span>
          <span class="sr-only">Page d'accueil</span>
        </nuxt-link>
      </h2>
      <b-button v-b-modal.modal-center class="btn-main btn-h-border-main start"
        >Contact</b-button
      >
      <h3 class="footer__copyright">
        Copyright © Lenny Mans - {{ new Date().getFullYear() }}
      </h3>
    </div>
    <div class="footer__col footer__col--right">
      <nav class="footer__nav">
        <ul class="menu menu--footer flex-column">
          <li class="list-unstyled"><h4 class="menu__title">Pro</h4></li>
          <li class="menu__item menu__item--footer">
            <nuxt-link
              :to="{ path: '/', hash: '#projects' }"
              v-scroll-to="{ el: '#projects' }"
              class="menu__link menu__link--footer link-underline"
              >Mes projets</nuxt-link
            >
          </li>
          <li class="menu__item menu__item--footer">
            <a
              href="https://drive.google.com/drive/folders/1-Aj50hNmaqgAzWKirv0S72bvn8GjZyQb?usp=sharing"
              target="_blank"
              class="menu__link menu__link--footer link-underline"
              >Télécharger mon CV</a
            >
          </li>
        </ul>
        <ul class="menu menu--footer flex-column">
          <li class="list-unstyled"><h4 class="menu__title">Perso</h4></li>
          <li class="menu__item menu__item--footer">
            <nuxt-link
              to="/bio"
              class="menu__link menu__link--footer link-underline"
              >Bio</nuxt-link
            >
          </li>
          <li class="menu__item menu__item--footer">
            <nuxt-link
              to="/bands"
              class="menu__link menu__link--footer link-underline"
              >Mes groupes</nuxt-link
            >
          </li>
        </ul>
        <ul class="menu menu--footer flex-column">
          <li class="list-unstyled"><h4 class="menu__title">Social</h4></li>
          <li
            class="menu__item menu__item--footer position-relative d-flex flex-column w-100"
          >
            <img :alt="linkedinAlt" class="logo" src="~assets/svgs/linkedin.svg" />
            <a
              :href="linkedinUrl"
              target="_blank"
              class="menu__link menu__link--footer stretched-link"
              title="vers mon profil linkedin"
            >
              <span class="sr-only">Linkedin</span>
            </a>
          </li>
          <li
            class="menu__item menu__item--footer position-relative d-flex flex-column w-100"
          >
            <img :alt="gitlabAlt" class="logo" src="~assets/svgs/gitlab.svg" />
            <a
              :href="gitlabUrl"
              target="_blank"
              class="menu__link menu__link--footer stretched-link"
              title="vers mon gitlab"
            >
              <span class="sr-only">Gitlab</span>
            </a>
          </li>
          <li
            class="menu__item menu__item--footer position-relative d-flex flex-column w-100"
          >
            <img :alt="githubAlt" class="logo" src="~assets/svgs/github.svg" />
            <a
              :href="githubUrl"
              target="_blank"
              class="menu__link menu__link--footer stretched-link"
              title="vers mon github"
            >
              <span class="sr-only">Github</span>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </footer>
</template>

<script>
export default {
  data() {
    return {
      title: 'LM',
      imgAlt: 'Logo Lenny Mans',
      gitlabAlt: 'Logo gitlab',
      githubAlt: 'Logo github',
      linkedinAlt: 'Logo linkedin',
      linkedinUrl: 'https://www.linkedin.com/in/lenny-mans-125a5b135/',
      gitlabUrl: 'https://gitlab.com/mans.lenny',
      githubUrl: 'https://github.com/LennyMans'
    }
  }
}
</script>

<style></style>
